Skip to content

Get Knowledge Base

GET /knowledge-bases/{kb_id}

One base, its consolidation configuration, and optionally its curation split.

A base the caller cannot read is a 404 and not a 403: the existence of a base owned by another agent is itself information.

NameInTypeNotes
kb_idpathstring (uuid)required—
agent_idquerystring (uuid) | nulloptional—
includequerystring | nulloptional—
StatusDescriptionBody
200Successful ResponseKnowledgeBaseDetail
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/knowledge-bases/{kb_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
slugstringrequired—
namestringrequired—
scopeworkspace | organization | platformrequired—
kindstringrequired—
owner_agent_idstring (uuid) | nullrequired, nullable—
owner_persona_idstring (uuid) | nullrequired, nullable—
is_privatebooleanrequired—
is_frozenbooleanrequired—
embedding_modelstringrequired—
embedding_dimintegerrequired—
item_countintegerrequired—
subject_kinduser | guest | nullrequired, nullable—
subject_idstring | nullrequired, nullable—
last_consolidated_atstring (date-time) | nulloptional—
curation_countsobject | nulloptional—
created_atstring (date-time)required—
updated_atstring (date-time)required—
consolidationobjectrequired—